Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 639500 - [hering-overlay] net-p2p/monero-0.11.1.0 USE=debug - ../common/libcommon.so: undefined reference to `cryptonote::blockchain_db_types(std::__cxx11::basic_string<char, std::char_traits<char>, std::allocator<char> > const&)'
Summary: [hering-overlay] net-p2p/monero-0.11.1.0 USE=debug - ../common/libcommon.so: ...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Overlays (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Richard Hering
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-12-02 13:22 UTC by ernsteiswuerfel
Modified: 2017-12-19 15:10 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments
emerge --info (file_639500.txt,6.57 KB, text/plain)
2017-12-02 13:22 UTC, ernsteiswuerfel
Details
build.log (monero_build.log,34.66 KB, text/plain)
2017-12-02 13:23 UTC, ernsteiswuerfel
Details

Note You need to log in before you can comment on or make changes to this bug.
Description ernsteiswuerfel 2017-12-02 13:22:39 UTC
Created attachment 507688 [details]
emerge --info

# emerge -pqv monero
[ebuild  N    ] net-p2p/monero-0.11.1.0  USE="debug lzma systemd unwind -doc -expat -graphviz -ldns -munin -static-libs -upnp -utils" 


make[3]: Entering directory '/var/tmp/portage/net-p2p/monero-0.11.1.0/work/monero-0.11.1.0/build/debug'
[ 81%] Building CXX object src/debug_utilities/CMakeFiles/cn_deserialize.dir/cn_deserialize.cpp.o
[ 81%] Linking CXX executable ../../bin/monero-utils-deserialize
../common/libcommon.so: undefined reference to `cryptonote::blockchain_db_types(std::__cxx11::basic_string<char, std::char_traits<char>, std::allocator<char> > const&)'
collect2: error: ld returned 1 exit status
make[3]: *** [src/debug_utilities/CMakeFiles/cn_deserialize.dir/build.make:120: bin/monero-utils-deserialize] Error 1
make[3]: Leaving directory '/var/tmp/portage/net-p2p/monero-0.11.1.0/work/monero-0.11.1.0/build/debug'
make[2]: *** [CMakeFiles/Makefile2:2008: src/debug_utilities/CMakeFiles/cn_deserialize.dir/all] Error 2
make[2]: Leaving directory '/var/tmp/portage/net-p2p/monero-0.11.1.0/work/monero-0.11.1.0/build/debug'
make[1]: *** [Makefile:141: all] Error 2
make[1]: Leaving directory '/var/tmp/portage/net-p2p/monero-0.11.1.0/work/monero-0.11.1.0/build/debug'
make: *** [Makefile:36: debug] Error 2
Comment 1 ernsteiswuerfel 2017-12-02 13:23:22 UTC
Created attachment 507690 [details]
build.log
Comment 2 Richard Hering 2017-12-03 17:26:23 UTC
confirmed. going to fix it this week
Comment 3 Richard Hering 2017-12-19 15:10:11 UTC
fixed by adding patch from https://github.com/monero-project/monero/issues/2776